Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRVisitor

All Known Implementing Classes:
  ConvertVisitor, DatasetCloneObjectFactory, DrawVisitor, JRAbstractObjectFactory, JRBaseObjectFactory, JRDelegationVisitor, JRElementsVisitor, JRFillCrosstabObjectFactory, JRFillObjectFactory, JRParameterDefaultValuesEvaluator.ObjectFactory, JRVisitorSupport, ReportConverter.StyleFactory, TableReportBaseObjectFactory, UniformElementVisitor, XmlWriterVisitor

    public interface JRVisitor

Version:
  $Id: JRVisitor.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`void` | `visitBreak(JRBreak breakElement)`
`void` | `visitChart(JRChart chart)`
`void` | `visitComponentElement(JRComponentElement componentElement)` Visits a component wrapper element.
`void` | `visitCrosstab(JRCrosstab crosstab)`
`void` | `visitElementGroup(JRElementGroup elementGroup)`
`void` | `visitEllipse(JREllipse ellipse)`
`void` | `visitFrame(JRFrame frame)`
`void` | `visitGenericElement(JRGenericElement element)` Visits a generic report element.
`void` | `visitImage(JRImage image)`
`void` | `visitLine(JRLine line)`
`void` | `visitRectangle(JRRectangle rectangle)`
`void` | `visitStaticText(JRStaticText staticText)`
`void` | `visitSubreport(JRSubreport subreport)`
`void` | `visitTextField(JRTextField textField)`

Method Detail

### visitBreak

    void visitBreak(JRBreak breakElement)

### visitChart

    void visitChart(JRChart chart)

### visitCrosstab

    void visitCrosstab(JRCrosstab crosstab)

### visitElementGroup

    void visitElementGroup(JRElementGroup elementGroup)

### visitEllipse

    void visitEllipse(JREllipse ellipse)

### visitFrame

    void visitFrame(JRFrame frame)

### visitImage

    void visitImage(JRImage image)

### visitLine

    void visitLine(JRLine line)

### visitRectangle

    void visitRectangle(JRRectangle rectangle)

### visitStaticText

    void visitStaticText(JRStaticText staticText)

### visitSubreport

    void visitSubreport(JRSubreport subreport)

### visitTextField

    void visitTextField(JRTextField textField)

### visitComponentElement

    void visitComponentElement(JRComponentElement componentElement)

  Visits a component wrapper element.

  Parameters:
    `componentElement` - the element to visit

### visitGenericElement

    void visitGenericElement(JRGenericElement element)

  Visits a generic report element.

  Parameters:
    `element` - the element to visit

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com